<?php
    // Connect to the database (replace 'hostname', 'username', 'password', and 'database' with your actual credentials)
    $mysqli = new mysqli('localhost', 'sharhine_adds', '@mashaAllah1', 'sharhine_tv');

    // Check if the form is submitted
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        // Retrieve category details from the form
        $name = $_POST['name'];

        // Check if an image is uploaded
        if (isset($_FILES['icon']) && $_FILES['icon']['error'] === UPLOAD_ERR_OK) {
            $icon = $_FILES['icon']['name'];
            $icon_tmp = $_FILES['icon']['tmp_name'];

            // Move the uploaded image to a designated folder
            $target_dir = 'icons/';
            $target_file = $target_dir . basename($icon);

            if (move_uploaded_file($icon_tmp, $target_file)) {
                // Resize the uploaded image to 32x32 pixels
                resizeImage($target_file, 32, 32, $target_file);

                // Prepare the query to insert the category into the database
                $query = "INSERT INTO categories (name, icon) VALUES ('$name', '$target_file')";

                // Execute the query
                $result = $mysqli->query($query);

                // Check for query errors
                if (!$result) {
                    echo 'Error executing query: ' . $mysqli->error;
                    exit();
                }

            echo '<script>
                    alert("Category uploaded successfully.");
                    window.location.href = "addcat.php";
                </script>';
                exit();
            } else {
                echo 'Error uploading image.';
                exit();
            }
        } else {
            echo 'Please select an image.';
            exit();
        }
    }

    // Close the database connection
    $mysqli->close();

    /**
     * Resize an image to a specified width and height.
     * @param string $sourceFile The path to the source image file.
     * @param int $width The width of the resized image.
     * @param int $height The height of the resized image.
     * @param string $destinationFile The path to save the resized image.
     */
    function resizeImage($sourceFile, $width, $height, $destinationFile) {
        $extension = strtolower(pathinfo($sourceFile, PATHINFO_EXTENSION));

        switch ($extension) {
            case 'jpeg':
            case 'jpg':
                $image = imagecreatefromjpeg($sourceFile);
                break;
            case 'png':
                $image = imagecreatefrompng($sourceFile);
                break;
            case 'gif':
                $image = imagecreatefromgif($sourceFile);
                break;
            default:
                return; // Unsupported image type
        }

        $resizedImage = imagecreatetruecolor($width, $height);
        imagecopyresampled($resizedImage, $image, 0, 0, 0, 0, $width, $height, imagesx($image), imagesy($image));

        switch ($extension) {
            case 'jpeg':
            case 'jpg':
                imagejpeg($resizedImage, $destinationFile);
                break;
            case 'png':
                imagepng($resizedImage, $destinationFile);
                break;
            case 'gif':
                imagegif($resizedImage, $destinationFile);
                break;
        }

        imagedestroy($image);
        imagedestroy($resizedImage);
    }
?>
<!DOCTYPE html>
<html>
<head>
    <title>Add Category</title>
</head>
<body>
    <h1>Add Category</h1>
    <form method="POST" action="addcat.php" enctype="multipart/form-data">
        <label for="name">Category Name:</label>
        <input type="text" id="name" name="name" required><br>

        <label for="icon">Category Icon:</label>
        <input type="file" id="icon" name="icon" required><br>

        <input type="submit" value="Add Category">
    </form>
</body>
</html>
