<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" integrity="sha512-..." crossorigin="anonymous" />
<style>
  .input-group {
    display: flex;
    align-items: center;
  }

  .location-icon {
    margin-right: 5px;
  }

  .search-box {
    display: flex;
    align-items: center;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 5px;
    width: 100%;
    box-sizing: border-box;
  }

  .search-box .search-text {
    margin-right: 5px;
    flex-shrink: 0; /* Prevent the search text from shrinking */
  }

  .search-box select {
    height: 34px;
    color: #000;
    background-color: #fff;
    border: black;
    outline: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin-right: 5px;
  }

  .search-box input[type="text"] {
    flex: 1;
    border: none;
    outline: none;
    margin-right: 5px;
    width: 100%;
    box-sizing: border-box;
  }

  .search-box button {
    background-color: #555;
    color: #fff;
    border: none;
    padding: 5px 10px;
    border-radius: 4px;
    cursor: pointer;
    margin-right: 5px;
  }
</style>


</head>
<body>
  <form action="addsearch.php" method="GET">
    <div class="location-search">
      <div class="input-group">
       
        <div class="search-box">
          <i class="fas fa-map-marker location-icon"></i>
          <select name="country" id="country" onchange="toggleLocationSelects();">
            <option value="">Change</option>
            <option value="Nigeria">Nigeria</option>
            <option value="Canada">Canada</option>
            <option value="UK">UK</option>
            <!-- Add more country options as needed -->
          </select>
          <select name="state" id="state" style="display: none;">
            <option value="">Select State</option>
            <option value="Kano">Kano</option>
            <option value="New York">New York</option>
            <option value="Texas">Texas</option>
            <!-- Add more state options as needed -->
          </select>
          <input type="text" name="query" placeholder="Search for products...">
          <button type="submit"><i class="fas fa-search"></i></button>
        </div>
      </div>
    </div>
  </form>

  <script>
    function toggleLocationSelects() {
      var country = document.getElementById('country');
      var state = document.getElementById('state');
      var selectsDisplayStyle = country.value !== '' ? 'flex' : 'none';
      state.style.display = selectsDisplayStyle;
    }
  </script>
</body>
</html>
