<?php
// Include the necessary files and perform any required database connections

// Retrieve the offset value from the query string
$offset = isset($_GET['offset']) ? intval($_GET['offset']) : 0;

// Fetch the next set of products based on the offset value
$nextProducts = fetchProducts($offset, 6); // Adjust the function and parameters according to your data retrieval logic

// Generate the HTML for the next set of products
$html = '';
foreach ($nextProducts as $product) {
    $product_id = $product['product_id'];
    $product_name = $product['product_name'];
    $price = $product['price'];
    $image1 = $product['image1'];
    $state = $product['state'];

    $html .= '<a href="products.php?id=' . $product_id . '" class="cad">';
    $html .= '<img src="user/productimages/' . $image1 . '" alt="' . $product_name . '">';
    $html .= '<div class="text-block">';
    $html .= '<p>' . $price . '</p>';
    $html .= '</div>';
    $html .= '<div class="cadcontent">';
    $html .= '<h6 style="margin-bottom: 5px;">' . $product_name . '</h6>';
    $html .= '<p style="margin-bottom: 0;"><i class="fa fa-map-mark"></i> ' . $state . '</p>';
    $html .= '</div>';
    $html .= '</a>';
}

// Return the generated HTML
echo $html;
?>
