<?php
$conn = new mysqli('localhost', 'sharhine_adds', '@mashaAllah1', 'sharhine_tv');
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['category'])) {
    $category = $_GET['category'];

    // Retrieve subcategories based on the selected category from the database
    $query = "SELECT id, name FROM subcategories WHERE category_id = ?";
    $stmt = $conn->prepare($query);
    $stmt->bind_param("s", $category);
    $stmt->execute();
    $result = $stmt->get_result();

    // Prepare an array to store the subcategories
    $subcategories = [];

    // Loop through the result and fetch subcategories
    while ($row = $result->fetch_assoc()) {
        $subcategory = [
            'id' => $row['id'],
            'name' => $row['name']
        ];
        $subcategories[] = $subcategory;
    }

    // Return the subcategories as a JSON response
    header('Content-Type: application/json');
    echo json_encode($subcategories);
    exit();
}
?>
