
// Function to get the user's current location
function getLocation() {
  if (navigator.geolocation) {
    navigator.geolocation.getCurrentPosition(showPosition);
  } else {
    alert("Geolocation is not supported by this browser.");
  }
}

// Function to update the hidden input field with the location
// Function to update the input fields with latitude and longitude values
function showPosition(position) {
  var latitude = position.coords.latitude;
  var longitude = position.coords.longitude;
  var latitudeInput = document.getElementById("latitude");
  var longitudeInput = document.getElementById("longitude");
  latitudeInput.value = latitude;
  longitudeInput.value = longitude;
}
// Call getLocation when the page loads
window.onload = getLocation;
