<?php
session_start();
require_once('../con/con.php');
if (!isset($_SESSION["emailOrPhone"])) {
    header("Location: login.php");
    exit();
}

$emailOrPhone = $_SESSION["emailOrPhone"];


$sqlCategories = "SELECT id, name FROM categories";
$resultCategories = $conn->query($sqlCategories);
$sql = "SELECT merchant_id, country, state, market FROM merchants WHERE email = '$emailOrPhone' OR phone = '$emailOrPhone'";
$result = $conn->query($sql);
$row = $result->fetch_assoc();


// Increase memory limit
ini_set('memory_limit', '256M');

error_reporting(E_ALL);
ini_set('display_errors', 1);
// Configuration
$maxFileSize = 100 * 1024; // 180 KB


 // Process form submission
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    
     $name = $_POST['product_name'];
    $category = $_POST['category'];
      $subcategory = $_POST['subcategory'];
    $type = $_POST['type'];
    $product_name = $_POST['product_name'];
    $product_description = $_POST['product_description'];
    $price = $_POST['price'];

    // Optional room-related fields
    $room = isset($_POST['room']) ? $_POST['room'] : null;
    $farlow = isset($_POST['farlow']) ? $_POST['farlow'] : null;
    $toilet = isset($_POST['toilet']) ? $_POST['toilet'] : null;
    $kitchen = isset($_POST['kitchen']) ? $_POST['kitchen'] : null;
    $dining_room = isset($_POST['dining_room']) ? $_POST['dining_room'] : null;

   
    
    // Retrieve latitude and longitude
    $latitude = (float)$_POST["latitude"];
    $longitude = (float)$_POST["longitude"];
    $images = $_FILES['image'];

    // Loop through uploaded images
    $imagePaths = array(); // Array to store image paths

    for ($i = 0; $i < count($images['name']); $i++) {
        $image = [
            'name' => $images['name'][$i],
            'type' => $images['type'][$i],
            'tmp_name' => $images['tmp_name'][$i],
            'error' => $images['error'][$i],
            'size' => $images['size'][$i]
        ];

        // Check if the file was uploaded successfully
        if ($image['error'] === UPLOAD_ERR_OK) {
            // Check file size
            if ($image['size'] > $maxFileSize) {
                // Resize image if necessary
                $imageResource = imagecreatefromstring(file_get_contents($image['tmp_name']));
                $imageType = exif_imagetype($image['tmp_name']);

                // Fix orientation if needed
                if ($imageType === IMAGETYPE_JPEG) {
                    $exif = @exif_read_data($image['tmp_name']);
                    if (!empty($exif['Orientation'])) {
                        switch ($exif['Orientation']) {
                            case 3:
                                $imageResource = imagerotate($imageResource, 180, 0);
                                break;
                            case 6:
                                $imageResource = imagerotate($imageResource, -90, 0);
                                break;
                            case 8:
                                $imageResource = imagerotate($imageResource, 90, 0);
                                break;
                        }
                    }
                }

                $targetWidth = 720; // Change this value to your desired width
                $targetHeight = intval($targetWidth * imagesy($imageResource) / imagesx($imageResource));
                $targetImage = imagecreatetruecolor($targetWidth, $targetHeight);
                imagecopyresampled($targetImage, $imageResource, 0, 0, 0, 0, $targetWidth, $targetHeight, imagesx($imageResource), imagesy($imageResource));
                $resizedImagePath = uniqid() . '.jpg';
                imagejpeg($targetImage, 'productimages/' . $resizedImagePath, 90);
                imagedestroy($imageResource);

                // Save the resized image
                $imagePaths[] = $resizedImagePath;
            } else {
                // Upload the image directly without resizing
                $path = uniqid() . '.' . pathinfo($image['name'], PATHINFO_EXTENSION);
                move_uploaded_file($image['tmp_name'], 'productimages/' . $path);

                // Save the image path
                $imagePaths[] = $path; 
            }
        }
    }
// Retrieve the values from the row
$merchant_id = $row['merchant_id'];
$country = $row['country'];
$state = $row['state'];
$market = $row['market'];

    $sql = "INSERT INTO products (merchant_id, product_name, category, subcategory, type, product_description, price, room, farlow, toilet, kitchen, dining_room, country, state, market,  latitude, longitude, image1, image2, image3, image4, image5, image6, image7, image8, image9, image10) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,  ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("sssssssssssssssssssssssssss", $merchant_id, $product_name, $category ,$subcategory, $type, $product_description, $price, $room, $farlow, $toilet, $kitchen, $dining_room, $country, $state, $market,  $latitude, $longitude, $imagePaths[0], $imagePaths[1], $imagePaths[2], $imagePaths[3], $imagePaths[4], $imagePaths[5], $imagePaths[6], $imagePaths[7], $imagePaths[8], $imagePaths[9]);

    if ($stmt->execute()) {
        echo "Images uploaded successfully<br>";
    } else {
        echo "Failed to upload images<br>";
    }

    // Close statement
    $stmt->close();
}

// Close database connection
$conn->close();
?>


<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
    <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="POST" enctype="multipart/form-data">
         <label for="category">Category:</label>
        <select name="category" id="category" required>
            <option value="">Select a category</option>
            <?php while ($category = $resultCategories->fetch_assoc()) : ?>
                <?php $categoryId = $category['id']; ?>
                <option value="<?php echo $categoryId; ?>"><?php echo $category['name']; ?></option>
            <?php endwhile; ?>
        </select>
        <br><br>
        <label for="subcategory">Subcategory:</label>
        <select name="subcategory" id="subcategory" required disabled>
            <option value="">Select a category first</option>
        </select>
        <br><br>
        <br><br>
        <label for="type">Type:</label>
        <select name="type" id="type" required>
            <option value="To Let">To Let</option>
            <option value="Sale">Sale</option>
            <option value="Rent">Rent</option>
        </select>
        <br><br>
        <label for="product_name">Product Name:</label>
        <input type="text" name="product_name" id="product_name" required>
        <br><br>
        <label for="product_description">Product Description:</label>
        <textarea name="product_description" id="product_description" required></textarea>
        <br><br>
        <label for="price">Price:</label>
        <input type="text" name="price" id="price" required>
        <br><br>
        <label for="room">Room:</label>
        <input type="text" name="room" id="room">
        <br><br>
        <label for="farlow">Farlow:</label>
        <input type="text" name="farlow" id="farlow">
        <br><br>
        <label for="toilet">Toilet:</label>
        <input type="text" name="toilet" id="toilet">
        <br><br>
        <label for="kitchen">Kitchen:</label>
        <input type="text" name="kitchen" id="kitchen">
        <br><br>
        <label for="dining_room">Dining Room:</label>
        <input type="text" name="dining_room" id="dining_room">
        <br><br>
        <label for="latitude">Latitude:</label>
        <input type="text" name="latitude" id="latitude" required>
        <br><br>
        <label for="longitude">Longitude:</label>
        <input type="text" name="longitude" id="longitude" required>
        <br><br>
        <input type="file" name="image[]" ><br>
        <div id="optional-images"></div>
        <button type="button" onclick="addImageInput()">Add Image</button>
        <input type="submit" value="Upload">
    </form>
<script>
// Function to get the user's current location
function getLocation() {
  if (navigator.geolocation) {
    navigator.geolocation.getCurrentPosition(showPosition);
  } else {
    alert("Geolocation is not supported by this browser.");
  }
}

// Function to update the hidden input field with the location
// Function to update the input fields with latitude and longitude values
function showPosition(position) {
  var latitude = position.coords.latitude;
  var longitude = position.coords.longitude;
  var latitudeInput = document.getElementById("latitude");
  var longitudeInput = document.getElementById("longitude");
  latitudeInput.value = latitude;
  longitudeInput.value = longitude;
}
// Call getLocation when the page loads
window.onload = getLocation;
</script>
    <script>
        function addImageInput() {
            var optionalImagesDiv = document.getElementById('optional-images');
            var input = document.createElement('input');
            input.type = 'file';
            input.name = 'image[]';
            input.accept = 'image/*';
            optionalImagesDiv.appendChild(input);

            var removeButton = document.createElement('button');
            removeButton.type = 'button';
            removeButton.innerHTML = 'Remove';
            removeButton.onclick = function () {
                optionalImagesDiv.removeChild(input);
                optionalImagesDiv.removeChild(removeButton);
            };
            optionalImagesDiv.appendChild(removeButton);
        }
    </script>
      <script>
        var categorySelect = document.getElementById('category');
        var subcategorySelect = document.getElementById('subcategory');

        // Function to update the subcategory options based on the selected category
        function updateSubcategories() {
            var categoryId = categorySelect.value;

            // Clear existing subcategory options
            subcategorySelect.innerHTML = '';

            // Disable the subcategory select field if no category is selected
            if (categoryId === '') {
                subcategorySelect.disabled = true;
                var defaultOption = document.createElement('option');
                defaultOption.value = '';
                defaultOption.textContent = 'Select a category first';
                subcategorySelect.appendChild(defaultOption);
                return;
            }

            // Enable the subcategory select field
            subcategorySelect.disabled = false;

            // Fetch subcategories based on the selected category using AJAX
            var xhr = new XMLHttpRequest();
            xhr.open('GET', 'getsubcategories.php?category=' + categoryId, true);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === XMLHttpRequest.DONE && xhr.status === 200) {
                    // Parse the JSON response
                    var subcategories = JSON.parse(xhr.responseText);

                    // Create new subcategory options
                    subcategories.forEach(function (subcategory) {
                        var option = document.createElement('option');
                        option.value = subcategory.id;
                        option.textContent = subcategory.name;
                        subcategorySelect.appendChild(option);
                    });
                }
            };
            xhr.send();
        }

        // Update subcategories when the category selection changes
        categorySelect.addEventListener('change', updateSubcategories);
    </script>
</body>
</html>
