<?php
require_once('con/con.php');
session_start();

if (isset($_POST['login'])) {
    $emailOrPhone = $_POST['email_or_phone'];
    $password = $_POST['password'];

    // Use prepared statement to prevent SQL injection
    $stmt = $conn->prepare("SELECT * FROM merchants WHERE (email = ? OR phone = ?) AND password = ?");
    $stmt->bind_param("sss", $emailOrPhone, $emailOrPhone, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows == 1) {
        // Fetch the user data
        $user = $result->fetch_assoc();

        // Store user data in the session
        $_SESSION['merchant_id'] = $user['id'];
        $_SESSION['emailOrPhone'] = $user['email']; // or $user['phone']


        // Redirect to the dashboard
        header("Location: post.php");
        exit();
    } else {
        // Authentication failed
        echo "Invalid credentials";
    }

    $stmt->close();
}
?>
<html lang="en" >
<head>
  <meta charset="UTF-8">
  <title>Charge Man</title>
  <link rel="stylesheet" href="./style.css">

<script type= "text/javascript" src = "js/countries.js"></script>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<style>.container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.content {
  text-align: center;
}

.form-title {
  font-size: 24px;
  margin-bottom: 20px;
}

form {
  display: flex;
  flex-direction: column;
}

label {
  font-size: 16px;
  margin-bottom: 10px;
}

input[type="text"],
input[type="password"] {
  padding: 10px;
  margin-bottom: 20px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
}

button {
  padding: 10px 20px;
  background-color: #337ab7;
  color: #fff;
  border: none;
  border-radius: 4px;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  background-color: #23527c;
}
</style>
</head>
<body>
<!-- partial:index.partial.html -->
<div class="container">
    <div class="content">
       <img src="img/bg.jpg" alt="header-image" class="cld-responsive">
            <h1 class="form-title">Register Here</h1>
            
            
          <form action="login.php" method="POST">
             
               
              
            <label for="email_or_phone">Email or Phone:</label>
        <input type="text" name="email_or_phone" id="email_or_phone" required><br><br>

        <label for="password">Password:</label>
        <input type="password" name="password" id="password" required><br><br>

<button type="submit" name="login">Login</button>


           <!-- Update the HTML code -->
<button type="submit" name="register">Register</button>

           
            </form>
            


</body>
</html>
